package com.zswl.cloud.springBtach.server.core.api.paotui.model.request;

import com.zswl.cloud.springBtach.server.core.api.paotui.model.Base;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@AllArgsConstructor
@NoArgsConstructor
public class OrderQueryRequest extends Base {
    /**
     * 我方门店ID（和 originShopId 二选一）
     */
    private Integer shopId;

    /**
     * 你方门店ID（和 shopId 二选一）
     */
    private String originShopId;

    /**
     * 订单状态，不传时查询所有
     */
    private Integer status;

    /**
     * 起始值，默认 0
     */
    private Integer offset = 0;

    /**
     * 每页显示数量，最大 50，默认 20
     */
    private Integer count = 20;
}
